commit:     27357a3edaae197b2eeaf2a2f3e4c5eee4468862
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  6 05:09:47 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Jul  6 05:09:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27357a3e

dev-python/mmtf-python: add 1.1.3

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/mmtf-python/Manifest                 |  1 +
 dev-python/mmtf-python/mmtf-python-1.1.3.ebuild | 32 +++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/mmtf-python/Manifest b/dev-python/mmtf-python/Manifest
index 97c7c7aea85d..28b9e35b5b68 100644
--- a/dev-python/mmtf-python/Manifest
+++ b/dev-python/mmtf-python/Manifest
@@ -1 +1,2 @@
 DIST mmtf-python-1.1.2.tar.gz 46309 BLAKE2B 
b21d53f7cfbdf6f6bd4f0f3ac31a846e83ce0ee98faf77fa8d06de7520c4aa64a259e8b43a744a440a6cf1a10ad461697334683364698a68222b690301bc5554
 SHA512 
92afcce48c2de186cbf9c2cb39c94c5df14ae0eb613862d41b674b7d2f338855ed81be23fb14d16d2dfc8d33415d3904537ef4a422e3a52b78d461b609e968ca
+DIST mmtf-python-1.1.3.tar.gz 46032 BLAKE2B 
a19d7e02b08bf7e4d0c820aa2fd06e0f01a10f807efcc0ebed8c2841dc82b0c27ff690934f941d360086217801c3722060a18805dc4144655b0707cc759b93e2
 SHA512 
44558ea3e38e8eb6431e597253473e49d4a4e3835f790f375f923d3c3702b3c096d5ecaac090a8fabc1cd285d6cfa8dbd3f7d6186d765b92d718ca6d34ad063b

diff --git a/dev-python/mmtf-python/mmtf-python-1.1.3.ebuild 
b/dev-python/mmtf-python/mmtf-python-1.1.3.ebuild
new file mode 100644
index 000000000000..ae3761f68a55
--- /dev/null
+++ b/dev-python/mmtf-python/mmtf-python-1.1.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The python implementation of the MMTF API, decoder and encoder"
+HOMEPAGE="http://mmtf.rcsb.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/msgpack[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/numpy[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       "${EPYTHON}" mmtf/tests/codec_tests.py -v || die "Tests failed with 
${EPYTHON}"
+}

Reply via email to